if not BastasTools then return end
if ChatForwarder_OnLoad then
	print("[BastasTools] An old version of ChatForwarder is detected. Please remove it to use the new version included in Bastas Tools.");
	return
end



--[[----------------------------------------------------------------------------
Chat Forwarding
------------------------------------------------------------------------------]]
local function ChatForwarder_CleanStr( str )
	return string.gsub( str,"[|]","||");
end
	
local function ChatForwarder_EventHandler(event, ...)
	local message, sender, _,_,_,_,_,_,_,_,_,_,bnetID = ...;
	local isSenderIngame = true;
	local forwardTarget = BastasTools.db.global.forwardTarget or "";
	
	if ( BastasTools.db.global.enableChatForwarder ) then
		if ( event == "CHAT_MSG_BN_WHISPER" ) then
			local _,_,_,_,toonName,_,client = BNGetFriendInfoByID(bnetID);
			sender = toonName;
			if ( string.lower(tostring(client)) ~= "wow" ) then
				isSenderIngame = false;
			end
		end
		
		if ( isSenderIngame == true and forwardTarget ~= "" and sender ~= forwardTarget and message:sub(1,4) ~= "[FW]") then
			local msg_str = ChatForwarder_CleanStr("[FW] "..sender..": "..message);
			
			if ( string.lower(forwardTarget) == "officer" ) then
				SendChatMessage(msg_str,"OFFICER");	
			elseif (string.lower(forwardTarget) == "guild" ) then
				SendChatMessage(msg_str,"GUILD");	
			else
				SendChatMessage(msg_str,"WHISPER",nil,forwardTarget);		
			end
		end
	end
end

BastasTools:RegisterEvent("CHAT_MSG_WHISPER",ChatForwarder_EventHandler);	
BastasTools:RegisterEvent("CHAT_MSG_BN_WHISPER",ChatForwarder_EventHandler);
